
local GOBBO_BLACK = Bot.Template("GOBBO_BLACK", "KYRMIR_GOBBO_BLACK"); 

GOBBO_BLACK.setLevel(0);
GOBBO_BLACK.setMagicLevel(0);

GOBBO_BLACK.setHealth(100);
GOBBO_BLACK.setRespawnTime(150)

GOBBO_BLACK.setDamage(DAMAGE_EDGE, 75);

GOBBO_BLACK.setProtection(DAMAGE_EDGE, 0);
GOBBO_BLACK.setProtection(DAMAGE_BLUNT, 500);
GOBBO_BLACK.setProtection(DAMAGE_FIRE, 0);
GOBBO_BLACK.setProtection(DAMAGE_MAGIC, 15);
GOBBO_BLACK.setProtection(DAMAGE_POINT, 25);

// Fight system
GOBBO_BLACK.setWarnTime(6);
GOBBO_BLACK.setHitDistance(120);
GOBBO_BLACK.setChaseDistance(1800);
GOBBO_BLACK.setDetectionDistance(1200);
GOBBO_BLACK.setAttackSpeed(2100);

GOBBO_BLACK.setInitiativeFunction(STANDARD_ANIMAL_AI);

GOBBO_BLACK.setRoutineFunction(function(bot)
{
    if(bot.getLastAni() != null) return;

    switch(random(0, 3))
    {
        case 0: bot.playAni("R_ROAM1"); break;				
        case 1: bot.playAni("R_ROAM2"); break;
        case 2: bot.playAni("R_ROAM3"); break;
        case 3: bot.playAni("T_PERCEPTION"); break;	
    }

    bot.setAngle(rand() % 360);
});

registerMonsterTemplate("KYRMIR_GOBBO_BLACK", GOBBO_BLACK);

// Drop
registerMonsterReward("KYRMIR_GOBBO_BLACK", Reward.Content(150)
    .addDrop(Reward.Drop("ITMI_GOLD", 75, 75))
);

// Spawnlist
spawnBot(GOBBO_BLACK, -20313, 122, 8000, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, -20053, -380, -847, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, -21433, -2176, 17585, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, -20476, -3379, -9297, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, -20703, -3399, -9524, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, -20282, -3414, -9252, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, -33041, 1238, 7972, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, -17958, -2718, 26525, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, -17614, -2613, 26941, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 14118, -5049, 587, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 14413, -5087, 587, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 10286, -4667, 16077, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 10453, -4705, 16185, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 9375, -4110, 16842, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 9262, -3930, 17476, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 10100, -3799, 17819, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 11510, -3992, 17162, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 12583, -3961, 17172, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 11691, -3769, 17843, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 10778, -3779, 17730, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 26647, -3387, 17115, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 26702, -3386, 17332, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 28030, -3410, 17766, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 29024, -3459, 17799, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 28611, -3397, 16564, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 15427, -4933, -1432, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 15342, -4959, -418, "ADDONWORLD.ZEN");
spawnBot(GOBBO_BLACK, 13967, -5203, 3817, "ADDONWORLD.ZEN");

spawnBot(GOBBO_BLACK, -28869.8, -506.947, 15000.2, "COLONY.ZEN");
spawnBot(GOBBO_BLACK, -29045.1, -722.749, 10143.7, "COLONY.ZEN");
spawnBot(GOBBO_BLACK, -29172.6, -781.442, 9728.93, "COLONY.ZEN");
spawnBot(GOBBO_BLACK, -29838.4, -683.214, 10211.4, "COLONY.ZEN");
spawnBot(GOBBO_BLACK, -29895.8, -689.495, 9892.04, "COLONY.ZEN");
spawnBot(GOBBO_BLACK, -29756.3, -692.562, 9611.76, "COLONY.ZEN");
spawnBot(GOBBO_BLACK, 19689.1, 1071.32, -18685.2, "COLONY.ZEN");
spawnBot(GOBBO_BLACK, 20250.1, 1129.1, -25677.2, "COLONY.ZEN");
spawnBot(GOBBO_BLACK, 22106, 940.344, -23994, "COLONY.ZEN");
spawnBot(GOBBO_BLACK, 21945, 1130.58, -26539.9, "COLONY.ZEN");
spawnBot(GOBBO_BLACK, 22077, 1126.78, -26509.1, "COLONY.ZEN");
spawnBot(GOBBO_BLACK, 21127.3, 1129.53, -26669.1, "COLONY.ZEN");
spawnBot(GOBBO_BLACK, 20988.7, 1131.17, -26725.7, "COLONY.ZEN");
spawnBot(GOBBO_BLACK, 21209.2, 1129.48, -26549.6, "COLONY.ZEN");
spawnBot(GOBBO_BLACK, -32193.4, 878.255, 3776.8, "COLONY.ZEN");
